Skip to main content
GET
Get table upstreams

Authorizations

Authorization
string
header
required

Use the 'Authorization' header with the format 'Key '

Path Parameters

data_connection_id
integer
required

Unique ID for the Data Connection. Can be found in the Datafold app under Settings > Integrations > Data Connections.

Required range: x >= 1
table_path
string
required

Path to the table, e.g. db.schema.table. The path is case sensitive. If components of the path contain periods, they must be quoted: db."my.schema"."www.mysite.com visits".

Query Parameters

max_depth
integer
default:10

Maximum depth of the lineage to retrieve.

Required range: x >= 1

Response

Successful Response

columns
ColumnReference · object[]
required
name
string
required
path
string[]
required
type
string
default:Table
Allowed value: "Table"